package market.Mes.Lengthwise.Plan.mapper;

import java.util.List;

import market.Mes.Lengthwise.Plan.vo.PlnLengthwisePlan;
import market.Mes.Lengthwise.Plan.vo.PlnLengthwisePlanSum;

import org.apache.ibatis.annotations.Update;

import com.hnshituo.orm.GenericMapper;

public interface PlnLengthwisePlanMapper extends GenericMapper<PlnLengthwisePlan,Object> {
	/**
	 * 作业计划主数据（原料卷主信息）
	 * @param 机台(必传)，作业计划号
	 * @param startTime计划开始时间  
	 * @param endTime计划结束时间  
	 * @param 拼接条件
	 */
	List<PlnLengthwisePlanSum> doQuery(PlnLengthwisePlan mcsm,String startTime, String endTime,String sWhere);

	void doUpdate(PlnLengthwisePlan pc);

	void doDelete(PlnLengthwisePlan pp);

	void doUpdatePlaned(PlnLengthwisePlan plp);

	void doDeleteLwPlanNo(PlnLengthwisePlan pp);
	
	@Update(" update PLN_LENGTHWISE_PLAN set plan_seq = #{param1.plan_seq} where lw_plan_no = #{param1.lw_plan_no} and plan_seq = #{param2}")
	int doUpdateSeq(PlnLengthwisePlan pln, Integer i);

}
